summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/dvdrip/README12
-rw-r--r--multimedia/dvdrip/doinst.sh10
-rw-r--r--multimedia/dvdrip/dvdrip.SlackBuild80
-rw-r--r--multimedia/dvdrip/dvdrip.desktop10
-rw-r--r--multimedia/dvdrip/dvdrip.info8
-rw-r--r--multimedia/dvdrip/dvdrip.pngbin0 -> 3713 bytes
-rw-r--r--multimedia/dvdrip/slack-desc19
7 files changed, 139 insertions, 0 deletions
diff --git a/multimedia/dvdrip/README b/multimedia/dvdrip/README
new file mode 100644
index 0000000000..442b322cb4
--- /dev/null
+++ b/multimedia/dvdrip/README
@@ -0,0 +1,12 @@
+dvd::rip is a full featured DVD copy program written in Perl. It
+provides an easy to use but feature-rich Gtk+ GUI to control almost
+all aspects of the ripping and transcoding process. It uses the
+widely known video processing swissknife transcode and many other
+Open Source tools.
+
+This requires transcode, perl-extutils-depends, perl-extutils-pkgconfig,
+perl-glib, perl-cairo, perl-gtk2, perl-event, and perl-libintl.
+
+ffmpeg, lsdvd, mplayer, ogmtools, dvdxchap, mjpegtools, and fping are
+optional dependencies available at SlackBuilds.org. dvd::rip can also
+use xvid4conf and subtitleripper, but they are not available here..
diff --git a/multimedia/dvdrip/doinst.sh b/multimedia/dvdrip/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/multimedia/dvdrip/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/dvdrip/dvdrip.SlackBuild b/multimedia/dvdrip/dvdrip.SlackBuild
new file mode 100644
index 0000000000..26bd323203
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for dvdrip
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=dvdrip
+VERSION=${VERSION:-0.98.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes Changes.0.46 COPYRIGHT Credits MANIFEST README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/dvdrip.desktop > $PKG/usr/share/applications/dvdrip.desktop
+cat $CWD/dvdrip.png > $PKG/usr/share/pixmaps/dvdrip.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/dvdrip/dvdrip.desktop b/multimedia/dvdrip/dvdrip.desktop
new file mode 100644
index 0000000000..1c991a67fb
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=dvd::rip
+GenericName=DVD copy program
+Comment=A full featured DVD copy program
+Type=Application
+Exec=dvdrip
+Icon=dvdrip
+Categories=AudioVideo;Video;
diff --git a/multimedia/dvdrip/dvdrip.info b/multimedia/dvdrip/dvdrip.info
new file mode 100644
index 0000000000..7998b0d22f
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.info
@@ -0,0 +1,8 @@
+PRGNAM="dvdrip"
+VERSION="0.98.10"
+HOMEPAGE="http://www.exit1.org/dvdrip"
+DOWNLOAD="http://www.exit1.org/dvdrip/dist/dvdrip-0.98.10.tar.gz"
+MD5SUM="368ce6bc8d6c641d41e126d447ca76b2"
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/dvdrip/dvdrip.png b/multimedia/dvdrip/dvdrip.png
new file mode 100644
index 0000000000..771299f8ef
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.png
Binary files differ
diff --git a/multimedia/dvdrip/slack-desc b/multimedia/dvdrip/slack-desc
new file mode 100644
index 0000000000..33e15d84e8
--- /dev/null
+++ b/multimedia/dvdrip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+dvdrip: dvd::rip (DVD copy program)
+dvdrip:
+dvdrip: dvd::rip is a full featured DVD copy program written in Perl. It
+dvdrip: provides an easy to use but feature-rich Gtk+ GUI to control almost
+dvdrip: all aspects of the ripping and transcoding process. It uses the
+dvdrip: widely known video processing swissknife transcode and many other
+dvdrip: Open Source tools. dvd::rip itself is licensed under
+dvdrip: GPL / Perl Artistic License.
+dvdrip:
+dvdrip: Homepage: http://www.exit1.org/dvdrip
+dvdrip: